Qt 5.6 | Qt 3D | C++ Classes | QAbstractFunctor

Qt 5.6.3 Reference Documentation

# QAbstractFunctor Class

(Qt3DRender::QAbstractFunctor)

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractFunctor()
const T * | functor_cast(const QAbstractFunctor *other) const
virtual qintptr | id() const = 0

## Member Function Documentation

### `[virtual]` QAbstractFunctor::~QAbstractFunctor()

Destroys the instance of QAbstractFunctor. The destructor is virtual.

### const T *QAbstractFunctor::functor_cast(const QAbstractFunctor *other) const

### `[pure virtual]` qintptr QAbstractFunctor::id() const